module.exports = {
  extends: [
    'eslint:recommended',
    'plugin:react/recommended',
    'plugin:import/errors',
    'plugin:import/warnings'
  ],
  parser: 'babel-eslint',
  parserOptions: {
    sourceType: 'module',
    ecmaFeatures: {
      jsx: true
    }
  },
  env: {
    browser: true,
    commonjs: true,
    es6: true,
    node: true
  },
  rules: {
    'eqeqeq': 2,
    'no-eval': 2,
    'no-with': 2,
    'no-console': 0,
    'jsx-quotes': 2,
    'curly': [2, 'all'],
    'yoda': [2, 'never'],
    'block-scoped-var': 2,
    'import/named': 0,
    'import/namespace': 2,
    'import/default': 0,
    'import/export': 2,
    'import/newline-after-import': 2,
    'import/prefer-default-export': 1,
    'import/first': [2, 'absolute-first'],
    'no-useless-escape': 2,
    'no-useless-return': 2,
    'no-const-assign': "warn",
    'no-this-before-super': 'warn',
    'no-undef': 'warn',
    'no-unreachable': 'warn',
    'no-unused-vars': 'warn',
    'constructor-super': 'warn',
    'valid-typeof': 'warn',
    'semi': 'off',
    'react/prop-types': 2,
    'react/jsx-boolean-value': 2,
    'react/jsx-curly-spacing': 1,
    'react/jsx-handler-names': 1,
    'react/jsx-indent': [2, 2],
    'react/jsx-key': 2,
    'react/jsx-no-duplicate-props': 2,
    'react/jsx-no-undef': 2,
    'react/jsx-uses-react': 2,
    'react/jsx-uses-vars': 2,
    'react/no-danger': 0,
    'react/no-deprecated': 1,
    'react/no-did-mount-set-state': 2,
    'react/no-did-update-set-state': 2,
    'react/no-direct-mutation-state': 2,
    'react/no-is-mounted': 2,
    'react/no-set-state': 0,
    'react/no-string-refs': 1,
    'react/no-unescaped-entities': 1,
    'react/no-unknown-property': 2,
    'react/self-closing-comp': 2,
    'react/sort-comp': 2
  }
}
