import React, { Component } from 'react';

import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';

import Button from '../lib/components/Button';

class ButtonLoading extends Component {
  state = {
    loading: false,
  };

  handleClick = () => {
    this.setState({ loading: true });
    setTimeout(() => {
      this.setState({ loading: false });
    }, 3000);
  };

  render() {
    return (
      <Button primary loading={this.state.loading} onClick={this.handleClick}>
        OK
      </Button>
    );
  }
}

storiesOf('Button', module)
  .add('Primary', () => (
    <Button primary onClick={action('clicked')}>
      OK
    </Button>
  ))
  .add('Secondary', () => (
    <Button secondary onClick={action('clicked')}>
      OK
    </Button>
  ))
  .add('with Loading', () => <ButtonLoading />);
