import React, { Component } from 'react';

import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';

import { TextField } from '../lib/components/Form';

class CounterTextField extends Component {
  state = {
    text: '',
    message: '',
  };

  handleChange = e => {
    action('text changed');
    this.setState({ text: e.target.value });
  };

  handleKeyPress = e => {
    action('text changed');
    if (e.key === 'Enter') {
      this.setState({ message: 'Success' });
    }
  }

  render() {
    return <TextField 
      label="Counter Text Field" 
      counter={50} 
      value={this.state.text} 
      message={this.state.message} 
      onChange={this.handleChange} 
      onKeyPress={this.handleKeyPress}/>;
  }
}

storiesOf('TextField', module).add('with Counter', () => <CounterTextField />);
